| 0.9.8

- Main Page
- Modules
- Files

- File List

Typedefs | Functions
dual_quaternion.hpp File Reference

Go to the source code of this file.

## Typedefs
typedef highp_ddualquat | ddualquat
typedef highp_fdualquat | dualquat
typedef highp_fdualquat | fdualquat
typedef tdualquat< double, highp > | highp_ddualquat
typedef tdualquat< float, highp > | highp_dualquat
typedef tdualquat< float, highp > | highp_fdualquat
typedef tdualquat< double, lowp > | lowp_ddualquat
typedef tdualquat< float, lowp > | lowp_dualquat
typedef tdualquat< float, lowp > | lowp_fdualquat
typedef tdualquat< double, mediump > | mediump_ddualquat
typedef tdualquat< float, mediump > | mediump_dualquat
typedef tdualquat< float, mediump > | mediump_fdualquat

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tdualquat< T, P > | dualquat_cast (tmat2x4< T, P > const &x)
template<typename T , precision P>
GLM_FUNC_DECL tdualquat< T, P > | dualquat_cast (tmat3x4< T, P > const &x)
template<typename T , precision P>
GLM_FUNC_DECL tdualquat< T, P > | inverse (tdualquat< T, P > const &q)
template<typename T , precision P>
GLM_FUNC_DECL tdualquat< T, P > | lerp (tdualquat< T, P > const &x, tdualquat< T, P > const &y, T const &a)
template<typename T , precision P>
GLM_FUNC_DECL tmat2x4< T, P > | mat2x4_cast (tdualquat< T, P > const &x)
template<typename T , precision P>
GLM_FUNC_DECL tmat3x4< T, P > | mat3x4_cast (tdualquat< T, P > const &x)
template<typename T , precision P>
GLM_FUNC_DECL tdualquat< T, P > | normalize (tdualquat< T, P > const &q)

## Detailed Description

GLM_GTX_dual_quaternion

Author
  Maksim Vorobiev (msome.nosp@m.one@.nosp@m.gmail.nosp@m..com)

See also
  GLM Core (dependence)
  gtc_half_float (dependence)
  GLM_GTC_constants (dependence)
  GLM_GTC_quaternion (dependence)

Definition in file dual_quaternion.hpp.